Get Data without QR (AML-KYC)

Alternative AML-KYC Pennydrop flow: Data retrieval without need for user to scan additional QR code

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This is an alternative Get Data endpoint definition which is to be used for AML-KYC (Pennydrop) flow only.

Upon receiving Webhook Notification, Client can make the Get Data call as defined in this page.

See Identity Attributes for list of all data fields.

The Webhook Notification payload which this Get Data subsequent call must be based on contains:

{
    "jwt": {
        "timestamp": int_unix_timestamp_of_pennydrop_transaction,
        "user_id": str_id_of_zealid_user,  # needed for subsequent call in Section 2
        "session_id": str_zealid_session_id,  # needed for subsequent call
        "status": str_status_outcome,  # one of (ENUM): "SIGNED", "FAILED"
        "signing_request_id": str_request_id,  # for DocuSign flow - EnvelopeID
        "retrieval_exp": int_unix_timestamp_for_data_retrieval,  # deadline for retrieving KYC data; 24 hours
        "exp": jwt_exp_time,  # this JWT's signature expiration time; 30 minutes
    }
}

Sample result from this Get Data call:

{
    "customer_id": "cust_uGgWMSI_JKBFsNsXh9UTY14A-zxPnZ_5mPkk2A6-U_U",
    "data": {
        "first_name": "Žošuą",
        "last_name": "Ķūņpala",
        "serial_number": "PNOLT-39010101111",
        "kyc_data" {
            "holder_name_match": "true",
            "pain_file": "PAIN_FILE_BASE64",
            "qes_validation": "true",
            "is_first_sign": "true",
        }
    },
    "status": "success",
    "success": true
}
Body Params
string
required

session_id received via Pennydrop Webhook

string
required

user_id received via Pennydrop Webhook

Headers
string
required
Defaults to HMAC HMAC_STRING

generated HMAC_STRING for particular request

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json